VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
ListenerBase Class Reference
Inheritance diagram for ListenerBase:

## Public Member Functions
| ListenerBase (IValue &value)
| ~ListenerBase () noexceptoverride
IValue & | getValueObject () const
Public Member Functions inherited from IValueListener
virtual void | onBeginEdit (IValue &value)=0
| Value begins editing.
virtual void | onPerformEdit (IValue &value, IValue::Type newValue)=0
| Value performed an edit.
virtual void | onEndEdit (IValue &value)=0
| Value ends editing.
virtual void | onStateChange (IValue &value)=0
| Value changed some of its state.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T >
const auto | dynamicCast () const
template<typename T >
auto | dynamicCast ()

## Constructor & Destructor Documentation

ListenerBase | ( | IValue & | value | ) |
| inline

~ListenerBase | ( |  | ) |
| inline override noexcept

## Member Function Documentation

IValue& getValueObject | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- valuelistener.h